close all; clear all;
filenaam='e_150,300,450_80kg.m600.ASC';

%inlezen Dasylab ascii-file:
data = textread(filenaam,'','delimiter',';','headerlines',7);
nrows=size(data,1);
ncolumns=size(data,2);
data=data(:,1:ncolumns-1);
lengte = length(data);

subplot(4,1,1);plot(data(1:lengte,1),data(1:lengte,2),'r'); hold on;
ylabel('Discharge [l/s] '); xlabel('Time [ sec ]');

subplot(4,1,2);plot(data(1:lengte,1),data(1:lengte,3),'b'); 
ylabel('Waterlevel [ cm ] '); xlabel('Time [ sec ]');

subplot(4,1,3);plot(data(1:lengte,1),data(1:lengte,4),'g'); 
ylabel('Pressure under the tile [ cm ] '); xlabel('Time [ sec ]');

subplot(4,1,4);plot(data(1:lengte,1),data(1:lengte,5),'y'); 
ylabel('Pressure under the subbase [ cm ] '); xlabel('Time [ sec ]');

% ylim([-1 6]);

%title(filenaam);
xlabel('Time [ sec ]');
% ylabel(' ');
% h = legend('Discharge','Waterlevel','Pressure under the tile','Pressure under the subbase');
% set(h,'Interpreter','none');

hold off;

% s1 = regexprep(filenaam, '.ASC', '_duin.png');
% s2 = regexprep(s1, '.asc', '_duin.png');
%hold off;
%print('-dpng',s2);
%print;
